import * as vqb from "../";
export declare class VisualQueryBuilder extends Vue {
    isFirst: boolean;
    fields: vqb.QueryField[];
    readonly projectionOptions: {
        fields: string[];
        comboOpts: {
            prompt: string;
            label: string;
        };
        includeBtnText: string;
        excludeBtnText: string;
        includeIconCls: string;
        excludeIconCls: string;
    };
    readonly sortingOptions: {
        fields: string[];
        comboOpts: {
            prompt: string;
            label: string;
        };
        includeBtnText: string;
        excludeBtnText: string;
        includeIconCls: string;
        excludeIconCls: string;
    };
    clear(): void;
    fillMongoPipeLine({$match, $project, $sort, $skip, $limit}: {
        $match?: any;
        $project?: Object;
        $sort?: Object;
        $skip?: number;
        $limit?: number;
    }): void;
    initComps(): void;
    fetchMongoDbFindParams(): {
        query: any;
        projection: any;
        sort: any;
        skip: number;
        limit: number;
    };
    private getTransFindParams();
    fetchMongoDBFindClause(fluent?: boolean): string;
    ready(): void;
}
