import * as vqb from "../";
export interface QueryField {
    name: string;
    type: string;
    values?: string[];
}
export declare class QbRule extends Vue {
    operator: string | undefined;
    field: string | undefined;
    value: string | undefined;
    type: string;
    fields: QueryField[];
    valueIsVisible: boolean;
    typeIsVisible: boolean;
    isFilling: boolean;
    watchField(newVal: string, oldVal: string): void;
    readonly initType: string;
    opTypeVisible(op: vqb.RuleOperator): boolean;
    typeValuesMap: {
        [type: string]: string;
    };
    watchOperator(newVal: string, oldVal: string): void;
    watchType(newVal: any, oldVal: any): void;
    valueEditor: vqb.EzRuleValueEditor;
    createValueEditor: Function;
    private debouncedCreateValueEditor();
    deleteSelf(): void;
    cloneSelf(): void;
    queryFormStatus(clearEmpty?: boolean): vqb.QueryRuleRst | undefined;
    filledValue: string;
    fillRuleStatus(data: {
        field: string;
        operator: string;
        value: string;
        type: string;
    }): void;
    mmTypesId: string;
    destroyed(): void;
    ready(): void;
    private refillTypesMenu();
}
