export declare const defaultEzInputOpt: {
    width: string;
    prompt: string;
};
export interface RuleValueEditorParams {
    container: any;
    field: string;
    operator: string;
    editorType: string;
    value: string;
    possibleValues?: {
        value: string;
        text: string;
    }[];
    inputmask?: any;
    limitToList?: boolean;
    onEditorValueChange?: (newValue: string, oldValue: string) => void;
}
export declare class EzRuleValueEditor {
    params: RuleValueEditorParams;
    $el: any;
    $elAny: any;
    ezEditorType: string;
    constructor(params: RuleValueEditorParams);
    textBoxCommonOpt(): {
        value: string;
        onChange: (newValue: any, oldValue: any) => void;
        width: string;
        prompt: string;
    };
    destroy(): void;
    getValue(): any;
}
export declare function getDataTypeList(): string[];
export declare function createRuleValueEditor(params: RuleValueEditorParams): any;
